OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.GetProgramBinary

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBGetProgramBinary :: MonadIO m => m Bool
- gl_ARB_get_program_binary :: Bool
- pattern GL_NUM_PROGRAM_BINARY_FORMATS :: GLenum
- pattern GL_PROGRAM_BINARY_FORMATS :: GLenum
- pattern GL_PROGRAM_BINARY_LENGTH :: GLenum
- pattern GL_PROGRAM_BINARY_RETRIEVABLE_HINT :: GLenum
- glGetProgramBinary :: MonadIO m => GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLenum -> Ptr a -> m ()
- glProgramBinary :: MonadIO m => GLuint -> GLenum -> Ptr a -> GLsizei -> m ()
- glProgramParameteri :: MonadIO m => GLuint -> GLenum -> GLint -> m ()

# Extension Support

glGetARBGetProgramBinary :: MonadIO m => m Bool Source #

Is the ARB_get_program_binary extension supported?

gl_ARB_get_program_binary :: Bool Source #

Is the ARB_get_program_binary extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBGetProgramBinary` in those cases instead.

# Enums

pattern GL_NUM_PROGRAM_BINARY_FORMATS :: GLenum Source #

pattern GL_PROGRAM_BINARY_FORMATS :: GLenum Source #

pattern GL_PROGRAM_BINARY_LENGTH :: GLenum Source #

pattern GL_PROGRAM_BINARY_RETRIEVABLE_HINT :: GLenum Source #

# Functions

glGetProgramBinary Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLenum | `binaryFormat` pointing to `1` element of type `GLenum`.
-> Ptr a | `binary` pointing to `bufSize` elements of type `a`.
-> m () |

Manual page for OpenGL 4.x.

glProgramBinary Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `binaryFormat`.
-> Ptr a | `binary` pointing to `length` elements of type `a`.
-> GLsizei | `length`.
-> m () |

Manual page for OpenGL 4.x.

glProgramParameteri Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLenum | `pname` of type ProgramParameterPName.
-> GLint | `value`.
-> m () |

Manual page for OpenGL 4.x.